TRIMSEQ(1e)

NAME
trimseq - Remove unwanted characters from start and end of sequence(s)

SYNOPSIS

trimseq -sequence seqall [-window integer] [-percent float] [-strict boolean] [-star boolean] -left boolean -right boolean -outseq seqoutall

trimseq -help

DESCRIPTION

trimseq is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Edit" command group(s).

OPTIONS

  Input section

-sequence seqall

  Additional section

-window integer
    This determines the size of the region that is considered when deciding whether the percentage of ambiguity is greater than the threshold. A value of 5 means that a region of 5 letters in the sequence is shifted along the sequence from the ends and trimming is done only if there is a greater or equal percentage of ambiguity than the threshold percentage. Default value: 1

-percent float
    This is the threshold of the percentage ambiguity in the window required in order to trim a sequence. Default value: 100.0

-strict boolean
    In nucleic sequences, trim off not only N's and X's, but also the nucleotide IUPAC ambiguity codes M, R, W, S, Y, K, V, H, D and B. In protein sequences, trim off not only X's but also B and Z. Default value: N

-star boolean
    In protein sequences, trim off not only X's, but also the *'s Default value: N

  Advanced section

-left boolean
    Default value: Y

-right boolean
    Default value: Y

  Output section

-outseq seqoutall

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

trimseq is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.